/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.asistenciaAniversario.WebServices;

import java.util.ArrayList;
import javax.jws.WebService;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import pe.siso.asistenciaAniversario.Services.ConteoServices;

/**
 *
 * @author sistem13user
 */
@WebService(serviceName = "TicketWebService")
public class TicketWebService {

    /**
     * This is a sample web service operation
     */
    @WebMethod(operationName = "registrarTicket")
    public int registrarTicket(@WebParam(name = "codigo") String codigo) {
        ConteoServices servicios = new ConteoServices();
        int dato = 0;
        int respuesta = 0;
        String tipo = "";
        if(codigo.equals("72923976")){
            tipo = "CORTESÍA";
        }else if(codigo.equals("70014656")){
            tipo = "GENERAL";
        }else{
            tipo = "NINGUNO";
        }
        
        dato = servicios.registrarTicket(tipo);
        if(tipo.equals("NINGUNO") ){
            if(dato==1){
                respuesta = 0;
            }else{
                respuesta = 2;
            }
        }else{
            if(dato==1){
                respuesta = 1;
            }else{
                respuesta = 2;
            }
        }
        return respuesta;
    }

    /**
     * Web service operation
     */
    @WebMethod(operationName = "consultarEntradas")
    public String consultarEntradas() {
        String resultado = "";
        ConteoServices servicios = new ConteoServices();
        resultado = servicios.consultarEntradas();
        return resultado;
    }

    
}
